-- DV Buff Frame
	MinimapCluster:SetFrameStrata("BACKGROUND")

local dvb = CreateFrame("Frame", "DVBFrame")
	dvb:SetClampedToScreen(true)
	dvb:SetFrameStrata("LOW")
	dvb:SetMovable(true)
	dvb:EnableMouse(true)
	dvb:RegisterForDrag("RightButton")
	dvb:SetPoint("TOPRIGHT", UIPARENT, "TOPRIGHT", posX, posX)
	dvb:SetWidth(110)
	dvb:SetHeight(22)

	dvb:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvb:StartMoving() 
		end 
	end) 
	dvb:SetScript("OnDragStop", function(self) 
		dvb:StopMovingOrSizing() 
	end)

local t=dvb:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvb)
	t:SetTexture(0, 0, 0, 0.7)
	t:SetAlpha(1)
	
local function showDVDB(self)
	dvb:SetAlpha(1)
end
     
local function hideDVDB(self)
	dvb:SetAlpha(0)
end
	dvb:HookScript("OnEnter", showDVDB)
	dvb:HookScript("OnLeave", hideDVDB)
	dvb:SetAlpha(0)
		
	BuffFrame:SetPoint("TOPRIGHT", dvb, "TOPRIGHT")